gsm_mncc_bearer_cap Struct Reference

`#include <mncc.h>`

## Data Fields

int | transfer
int | mode
int | coding
int | radio
int | speech_ctm
int | speech_ver [8]
struct {
enum gsm48_bcap_ra rate_adaption
enum gsm48_bcap_sig_access sig_access
int async
int nr_stop_bits
int nr_data_bits
enum gsm48_bcap_user_rate user_rate
enum gsm48_bcap_parity parity
enum gsm48_bcap_interm_rate interm_rate
enum gsm48_bcap_transp transp
enum gsm48_bcap_modem_type modem_type
} | data

## Field Documentation

## async

int gsm_mncc_bearer_cap::async

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## coding

int gsm_mncc_bearer_cap::coding

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

##

struct { ... } gsm_mncc_bearer_cap::data

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## interm_rate

enum gsm48_bcap_interm_rate gsm_mncc_bearer_cap::interm_rate

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## mode

int gsm_mncc_bearer_cap::mode

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## modem_type

enum gsm48_bcap_modem_type gsm_mncc_bearer_cap::modem_type

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## nr_data_bits

int gsm_mncc_bearer_cap::nr_data_bits

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## nr_stop_bits

int gsm_mncc_bearer_cap::nr_stop_bits

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## parity

enum gsm48_bcap_parity gsm_mncc_bearer_cap::parity

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## radio

int gsm_mncc_bearer_cap::radio

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## rate_adaption

enum gsm48_bcap_ra gsm_mncc_bearer_cap::rate_adaption

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## sig_access

enum gsm48_bcap_sig_access gsm_mncc_bearer_cap::sig_access

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## speech_ctm

int gsm_mncc_bearer_cap::speech_ctm

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## speech_ver

int gsm_mncc_bearer_cap::speech_ver[8]

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## transfer

int gsm_mncc_bearer_cap::transfer

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

## transp

enum gsm48_bcap_transp gsm_mncc_bearer_cap::transp

Referenced by gsm48_decode_bearer_cap().

## user_rate

enum gsm48_bcap_user_rate gsm_mncc_bearer_cap::user_rate

Referenced by gsm48_decode_bearer_cap(), and gsm48_encode_bearer_cap().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/mncc.h